
QGIS Application - Bug report #8734

Bug on dfx2shp plugin

2013-10-01 04:59 AM - Sandro Eduardo Nobrega

Status: Closed

Priority: High

Assignee:

Category: C++ Plugins

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 17449

Description

When I try to use this plugin qgis crashes

The details (in portuguese) are the following:

Assinatura do problema:

  Nome do Evento de Problema:    APPCRASH

  Nome da aplicação:    qgis-bin.exe

  Versão da aplicação:    0.0.0.0

  Carimbo de Data/Hora da Aplicação:    523e281f

  Nome do Módulo com Falhas:    StackHash_fe97

  Versão do Módulo com Falhas:    6.1.7601.18205

  Carimbo de Data/Hora do Módulo com Falhas:    51db96c5

  Código de excepção:    c0000374

  Desvio de Excepção:    000c385b

  Versão do SO:    6.1.7601.2.1.0.256.48

  ID de Região:    2070

  Informações Adicionais 1:    fe97

  Informações Adicionais 2:    fe9724d1e156f5563a554e2332f45499

  Informações Adicionais 3:    a604

  Informações Adicionais 4:    a6048b96e9135ba3853a138166542bd9

History

#1 - 2013-10-01 05:06 AM - Giovanni Manghi

- Priority changed from Normal to High

- Category set to C++ Plugins

- Status changed from Open to Feedback

what qgis version? what platform? please attach sample data.

#2 - 2013-10-01 06:18 AM - Sandro Eduardo Nobrega

- File 136_114_27.dxf added

Qgis version: 2.0.1 Dufour

OS: Windows 7 Home, 32bits
#3 - 2013-10-01 06:47 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

what about "save as..."? it works or crashes?

here on Linux qgis does not crash using the dxf2shp plugin.

#4 - 2013-10-01 06:50 AM - Sandro Eduardo Nobrega

If i just add the dfx file as a layer and then save it as shp it doesn't crash...

#5 - 2014-01-26 11:02 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Sandro Eduardo Nobrega wrote:

If i just add the dfx file as a layer and then save it as shp it doesn't crash...

This plugin is unmantained and (I guess) likely to be removed from qgis.

Anyway it seems to be ok on qgis master (the next 2.2) and I can't see any crash with the provided file, using QGIS on Windows.

Files

136_114_27.dxf 4.31 MB 2013-10-01 Sandro Eduardo Nobrega
